QwtPolarMagnifier(3)

NAME
QwtPolarMagnifier - QwtPolarMagnifier provides zooming, by magnifying in steps.

SYNOPSIS

#include <qwt_polar_magnifier.h>

Inherits QwtMagnifier.

  Public Slots
virtual void rescale (double factor) override
void unzoom ()
Unzoom the plot widget.

  Public Member Functions
QwtPolarMagnifier (QwtPolarCanvas *)
virtual ~QwtPolarMagnifier ()
Destructor.
void setUnzoomKey (int key, int modifiers)
void getUnzoomKey (int &key, int &modifiers) const
QwtPolarPlot * plot ()
const QwtPolarPlot * plot () const
QwtPolarCanvas * canvas ()
const QwtPolarCanvas * canvas () const

  Protected Member Functions
virtual void widgetKeyPressEvent (QKeyEvent *) override

Detailed Description

QwtPolarMagnifier provides zooming, by magnifying in steps. Using QwtPlotMagnifier a plot can be zoomed in/out in steps using keys, the mouse wheel or moving a mouse button in vertical direction.

Together with QwtPolarPanner it is possible to implement an individual navigation of the plot canvas.

See also
    QwtPolarPanner, QwtPolarPlot, QwtPolarCanvas

Definition at line 30 of file qwt_polar_magnifier.h.

Constructor & Destructor Documentation

  QwtPolarMagnifier::QwtPolarMagnifier (QwtPolarCanvas * canvas) [explicit]
Constructor

Parameters
    canvas Plot canvas to be magnified

Definition at line 34 of file qwt_polar_magnifier.cpp.

Member Function Documentation

  QwtPolarCanvas * QwtPolarMagnifier::canvas ()

Returns
    Observed plot canvas

Definition at line 74 of file qwt_polar_magnifier.cpp.

  const QwtPolarCanvas * QwtPolarMagnifier::canvas () const

Returns
    Observed plot canvas

Definition at line 80 of file qwt_polar_magnifier.cpp.

  void QwtPolarMagnifier::getUnzoomKey (int & key, int & modifiers) const

Returns
    Key, and modifiers that are used for unzooming

Parameters
    key Key code
    modifiers Modifiers

See also
    setUnzoomKey(), QwtPolarPlot::unzoom()

Definition at line 67 of file qwt_polar_magnifier.cpp.

  QwtPolarPlot * QwtPolarMagnifier::plot ()

Returns
    Observed plot

Definition at line 86 of file qwt_polar_magnifier.cpp.

  const QwtPolarPlot * QwtPolarMagnifier::plot () const

Returns
    observed plot

Definition at line 96 of file qwt_polar_magnifier.cpp.

  void QwtPolarMagnifier::rescale (double factor) [override], [virtual], [slot]
Zoom in/out the zoomed area

Parameters
    factor A value < 1.0 zooms in, a value > 1.0 zooms out.

Definition at line 129 of file qwt_polar_magnifier.cpp.

  void QwtPolarMagnifier::setUnzoomKey (int key, int modifiers)
Assign key and modifiers, that are used for unzooming The default combination is Qt::Key_Home + Qt::NoModifier.

Parameters
    key Key code
    modifiers Modifiers

See also
    getUnzoomKey(), QwtPolarPlot::unzoom()

Definition at line 54 of file qwt_polar_magnifier.cpp.

  void QwtPolarMagnifier::widgetKeyPressEvent (QKeyEvent * event) [override], [protected], [virtual]
Handle a key press event for the observed widget.

Parameters
    event Key event

Reimplemented from QwtMagnifier.

Definition at line 110 of file qwt_polar_magnifier.cpp.

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.